Great Little Radio Player-1.5

Here is a place for your projects which are not officially supported by the Porteus Team. For example: your own kernel patched with extra features; desktops not included in the standard ISO like Gnome; base modules that are different than the standard ISO, etc...
Post Reply
raja
Shogun
Shogun
Posts: 262
Joined: 02 May 2017, 09:51
Distribution: v3.2.2-32 and Porteus-Artix-64
Location: Chennai,India

Great Little Radio Player-1.5

Post#1 by raja » 01 Jan 2021, 11:01

I could get the latest GLRP-1.5 working in Porteus-5.0rc2-x86_64. The recent one has done away with KDE's Phonon framework. All required QT5 libraries are inbuilt. I have installed Gstreamer-1.18 with all required plugins. Comes with a new Stations list.

An older version GLRP-1.6 with Phonon back end too works in my 32 bit laptop. But many stations out of around 500 are defunct. Trying with latest gstreamer version.

But before starting with terminal, we have to input, "export QT_PLUGIN_PATH=/usr/lib/kde4/plugins". Otherwise phonon back end not found error is thrown.

Any idea how to incorporate this for permanency.

If any member is interested in this Radio Player, I shall upload.

Happy New Year to all.
Linux Kernel-4.4.243-32 bit; Linux kernel-5.4.85-64 bit.

User avatar
Rava
Contributor
Contributor
Posts: 2922
Joined: 11 Jan 2011, 02:46
Distribution: Porteus 5.0rc2 + 4.0 i586 XFCe
Location: Forests of Germany

Great Little Radio Player-1.5

Post#2 by Rava » 20 Jan 2021, 21:59

When the binary of Great Little Radio Player is named glrp have you tried in a terminal

Code: Select all

QT_PLUGIN_PATH=/usr/lib/kde4/plugins glrp
?

Alternatively, use /etc/profile and ~/.bashrc and add

Code: Select all

export QT_PLUGIN_PATH=/usr/lib/kde4/plugins 
Cheers!
Yours Rava

Post Reply